ChangeSet 1.853.1.7, 2002/11/11 17:59:12-08:00, ambx1@neo.rr.com

[PATCH] PnP MODULE_DEVICE_TABLE Update - 2.5.46 (3/6)

Here's a patch from Jaroslav Kysela.  It was sent in previously but doesn't
appear to be included.  Here it is again only now against 2.5.46.


diff -Nru a/drivers/net/e100/e100_main.c b/drivers/net/e100/e100_main.c
--- a/drivers/net/e100/e100_main.c	Tue Nov 12 11:13:59 2002
+++ b/drivers/net/e100/e100_main.c	Tue Nov 12 11:13:59 2002
@@ -87,8 +87,8 @@
 extern int e100_create_proc_subdir(struct e100_private *, char *);
 extern void e100_remove_proc_subdir(struct e100_private *, char *);
 #else
-#define e100_create_proc_subdir(X) 0
-#define e100_remove_proc_subdir(X) do {} while(0)
+#define e100_create_proc_subdir(X, Y) 0
+#define e100_remove_proc_subdir(X, Y) do {} while(0)
 #endif
 
 static int e100_do_ethtool_ioctl(struct net_device *, struct ifreq *);
diff -Nru a/include/linux/pnp.h b/include/linux/pnp.h
--- a/include/linux/pnp.h	Tue Nov 12 11:13:59 2002
+++ b/include/linux/pnp.h	Tue Nov 12 11:13:59 2002
@@ -103,6 +103,9 @@
  * Driver Management
  */
 
+#define pnpc_device_id pnp_id		/* for module.h */
+#define pnp_device_id pnp_id		/* for module.h */
+
 struct pnp_id {
 	char id[7];
 	unsigned long driver_data;	/* data private to the driver */
diff -Nru a/include/linux/sunrpc/stats.h b/include/linux/sunrpc/stats.h
--- a/include/linux/sunrpc/stats.h	Tue Nov 12 11:13:59 2002
+++ b/include/linux/sunrpc/stats.h	Tue Nov 12 11:13:59 2002
@@ -61,16 +61,18 @@
 
 #else
 
+static inline struct proc_dir_entry *rpc_proc_register(struct rpc_stat *s) { return NULL; }
+static inline void rpc_proc_unregister(const char *p) {}
+static inline int rpc_proc_read(char *a, char **b, off_t c, int d, int *e, void *f) { return 0; }
+static inline void rpc_proc_zero(struct rpc_program *p) {}
+
+static inline struct proc_dir_entry *svc_proc_register(struct svc_stat *s) { return NULL; }
 static inline void svc_proc_unregister(const char *p) {}
-static inline struct proc_dir_entry*svc_proc_register(struct svc_stat *s)
-{
-	return NULL;
-}
+static inline int svc_proc_read(char *a, char **b, off_t c, int d, int *e, void *f) { return 0; }
+static inline void svc_proc_zero(struct svc_program *p) {}
+
+#define proc_net_rpc NULL
 
-static inline int svc_proc_read(char *a, char **b, off_t c, int d, int *e, void *f)
-{
-	return 0;
-}
 #endif
 
 #endif /* _LINUX_SUNRPC_STATS_H */
diff -Nru a/sound/oss/opl3sa2.c b/sound/oss/opl3sa2.c
--- a/sound/oss/opl3sa2.c	Tue Nov 12 11:13:59 2002
+++ b/sound/oss/opl3sa2.c	Tue Nov 12 11:13:59 2002
@@ -841,7 +841,7 @@
 	{.id = ""}
 };
 
-/*MODULE_DEVICE_TABLE(isapnp, isapnp_opl3sa2_list);*/
+MODULE_DEVICE_TABLE(pnp, pnp_opl3sa2_list);
 
 static int opl3sa2_pnp_probe(struct pnp_dev *dev, const struct pnp_id *card_id,
 			     const struct pnp_id *dev_id)
